Bug 110766 - chrome browser resize artifacts
Summary: chrome browser resize artifacts
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/Iris (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-27 10:21 UTC by Tapani Pälli
Modified: 2019-09-25 11:19 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tapani Pälli 2019-05-27 10:21:58 UTC
For me Chrome/Opera looks fine unless I resize it. This is with Xorg 1.20.1 (using DRI3), gnome-shell, Mesa at 2d2e7954c36 and KBL machine. During resize I can see lots of artifacts that are somehow related to render buffer compression as running with INTEL_DEBUG=norbc fixes it.
Comment 1 Paul 2019-05-28 10:43:33 UTC
Hello Tapani
I've reproduced the issue with resizing of opera on my machine (Intel® UHD Graphics 620) with Ubuntu 18.04, 5.1.2 version of the Kernel and 1.20.1 version of Xorg.

I've bisected the issue

2b2b449dd146c43860c71eb05f0f02ee2ad69854 is the first bad commit
commit 2b2b449dd146c43860c71eb05f0f02ee2ad69854
Author: Rafael Antognolli <rafael.antognolli@intel.com>
Date: Thu Feb 21 17:51:26 2019 -0800

iris: Enable auxiliary buffer support again

Now that we are properly resolving buffers before giving them to the
window system, let's enable aux support again.

Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>

:040000 040000 57210508613c4dac2e8f8ce9a4b5c191d7c3ebe1 813a5a1ad6c56e0f0eae0364f87ba7006fa0e4d0 M	src
Comment 2 Tapani Pälli 2019-05-28 10:54:39 UTC
Thanks Paul for bisecting the issue! I've tried to add some resolve/flush to happen (based on old gitlab MR 526, version 3) but it did not fix the case, I might be doing it wrong though. Will continue investigation, we are likely missing a resolve somewhere.
Comment 3 Tapani Pälli 2019-09-02 11:14:38 UTC
There are new related regressions, now all the windows show artifacts independent of resizing. However, this commit fixes it and also with it there are no artifacts during resize:

https://gitlab.freedesktop.org/mesa/mesa/merge_requests/1843
Comment 4 Paul 2019-09-03 12:21:53 UTC
Hello Tapani
I've also tested the issue with applied patch - looks good for both browsers.
Comment 5 Tapani Pälli 2019-09-25 11:19:39 UTC
--- 8< ---
commit f4d9169204e1b83f87779a350dd23501a085b36c
Author: Tapani Pälli <tapani.palli@intel.com>
Date:   Mon Sep 2 13:02:33 2019 +0300

    iris: disable aux on first get_param if not created with aux
    
    This moves the fix from commit 361f3d19f1f to happen in get_param
    (used now instead of get_handle by st/dri). This fixes artifacts
    seen with Xorg and CCS_E.
    
    Fixes: fc12fd05f56 "iris: Implement pipe_screen::resource_get_param"
    Signed-off-by: Tapani Pälli <tapani.palli@intel.com>
    Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.